package io.github.js0ny.ilp_coursework.util;

public enum AttrOperator {
    EQ("="),
    NE("!="),
    GT(">"),
    LT("<");

    private final String symbol;

    AttrOperator(String symbol) {
        this.symbol = symbol;
    }

    public static AttrOperator fromString(String symbol) {
        for (AttrOperator op : AttrOperator.values()) {
            if (op.symbol.equals(symbol)) {
                return op;
            }
        }
        throw new IllegalArgumentException("Unknown operator: " + symbol);
    }
}
